### Method

# Gio DtlsConnection get_database

since: 2.48

#### Declaration

    GTlsDatabase*
    g_dtls_connection_get_database (
      GDtlsConnection* conn
    )

#### Description

Gets the certificate database that `conn` uses to verify peer certificates. See g_dtls_connection_set_database().

Available since: 2.48

Gets property | `Gio.DtlsConnection:database`

#### Return value

Type: `GTlsDatabase`

The certificate database that `conn` uses or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.